html {
    scroll-behavior: smooth;
}

.faq-archive {
    position: relative;
    z-index: 1;
}

.faq-archive .container {
    max-width: 1008px;
    width: 100%;
    margin: 0 auto;
}

.faq-filter__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    gap: clamp(16px, 7.901px + 2.16vw, 39px);
    margin: clamp(30px, 20.493px + 2.535vw, 57px) 0 0;
}

.faq-filter__btn {
    font-size: 1rem;
    font-weight: 400;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: clamp(224px, 125.988px + 12.779vw, 310px);
    height: 62px;
    padding: 25px auto;
    text-align: center;
    border-radius: 50px;
    border: 1px solid var(--color-main);
    color: var(--color-main);
    background-color: transparent;
    cursor: pointer;
    transition:
        background-color 0.3s ease,
        color 0.3s ease;
}

.faq-filter__btn::after {
    content: "";
    display: inline-block;
    width: 10px;
    height: 10px;
    border-right: 1px solid #333333;
    border-bottom: 1px solid #333333;
    transform: rotate(45deg);
    margin-left: 20px;
    transition:
        border-right 0.3s ease,
        border-bottom 0.3s ease;
}

.faq-filter__btn:hover {
    background-color: var(--color-main);
    color: #fff;
}

.faq-filter__btn:hover::after {
    border-right: 1px solid #fff;
    border-bottom: 1px solid #fff;
}

.faq-archive>.container {
    padding-bottom: 268px;
}

.faq-archive::after {
    background-image: url("../../images/top/wave-beige-white.svg");
    content: "";
    display: block;
    width: 100%;
    aspect-ratio: 7 / 1;
    position: absolute;
    left: 0;
    bottom: 0;
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 5;
}

.faq-block {
    display: flex;
    flex-direction: column;
    gap: 26px;
    padding-top: 57px;
}

.faq-title {
    position: relative;
}

.faq-title h2 {
    font-size: clamp(20px, 18.592px + 0.376vw, 24px);
    font-weight: 700;
    margin-left: 30px;
}

.faq-title::before {
    content: "";
    display: inline-block;
    width: 10px;
    height: 42px;
    background-color: var(--color-main);
    margin-right: 20px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}

.faq-list {
    width: 100%;
    margin: 0 auto clamp(0px, -21.127px + 5.634vw, 60px);
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.faq-question {
    width: 100%;
    height: 78px;
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 25px 22px;
    background: var(--color-main);
    color: #fff;
    border: none;
    cursor: pointer;
    font-family: var(--font-body);
    font-size: 1rem;
    font-weight: 700;
    text-align: left;
    transition:
        background-color 0.3s ease,
        color 0.3s ease;
    border-radius: 10px;
    box-shadow: 0 0 30px 0 rgba(0, 0, 0, .25);
}

.faq-q {
    width: 46px;
    font-size: 1.6rem;
    font-family: var(--font-tag);
    border-radius: 50%;
    font-weight: 400;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.faq-text {
    flex: 1;
    line-height: 1.6;
}

.faq-toggle {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    background: #fff;
    position: relative;
    margin-left: auto;
    flex-shrink: 0;
    box-shadow: 0 0 24px 0 rgba(0, 0, 0, .25);
}

.faq-toggle::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 10px;
    height: 10px;
    border: 2px solid var(--color-main);
    border-left: 0;
    border-bottom: 0;
    box-sizing: border-box;
    transform: translate(-50%, -50%) rotate(135deg);
    transition: transform .3s ease;
}

.faq-item.is-open .faq-toggle::before {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.faq-question:hover .faq-toggle {
    filter: brightness(1.05);
}

.faq-answer {
    padding: 0 22px;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-10px);
    transition:
        opacity 0.6s cubic-bezier(.25, .1, .25, 1),
        transform 0.6s cubic-bezier(.25, .1, .25, 1);
    border-radius: 10px;
    box-shadow: 0 0px 30px 0 rgba(0, 0, 0, .25);
}

.faq-item.is-open .faq-answer {
    padding: 26px 37px 32px;
    opacity: 1;
    transform: translateY(0);
    margin-top: 12px;
}

.faq-item.is-open .faq-question {
    filter: brightness(1.03);
}

@media (max-width: 1080px) {
    .faq-archive .container {
        max-width: clamp(343px, -0.966px + 91.724vw, 1008px);
        padding-bottom: 180px;
    }
}

@media (max-width: 767px) {
    .faq-filter__list {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
        gap: 20px;
    }

    .faq-filter__btn {
        width: 310px;
    }

    .faq-archive {
        padding-bottom: 100px;
        padding-top: 20px;
    }

    .faq-question {
        padding: 14px 16px;
    }

    .faq-answer {
        font-size: 1rem;
    }

    .faq-toggle {
        width: 30px;
        height: 30px;
    }

    .faq-archive>.container {
        padding-bottom: 0;
    }

    .faq-answer {
        padding: 0px;
    }

    .faq-text {
        font-size: 1rem;
        line-height: 140%;
    }

    .faq-question {
        gap: 10px;
        height: auto;
    }
}